<?php
/*------------------------------------------------------+
| PHP-Fusion Content Management System                  |
| Copyright (C) 2002 - 2011 Nick Jones                  |
| http://www.php-fusion.co.uk/                          |
+-------------------------------------------------------+
| This program is released as free software under the   |
| Affero GPL license. You can redistribute it and/or    |
| addonify it under the terms of this license which you |
| can read by viewing the included agpl.txt or online   |
| at http://www.gnu.org/licenses/agpl.html.             |
| Removal of this copyright header is strictly          |
| prohibited without written permission from the        |
| original author(s).                                   |
+------------------------------------------------------*/
/*------------------------------------------------------+
|       Counter Strike theme for PHP-Fusion v7          |
+-------------------------------------------------------+
| Filename: theme.php                                   |
| Author: Vlad Fagarasanu (Faga)                        |
| Homepage: http://osthemes.org                         |
+-------------------------------------------------------+
| This theme is released under the terms and conditions |
| of the GNU Affero GPL v3.                             |
+------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
define("THEME_BULLET2", "");

//Forum icons and buttons
set_image("up",  THEME."images/up.png");
set_image("down",  THEME."images/down.png");
set_image("left", THEME."images/left.png");
set_image("right",  THEME."images/right.png");
set_image("folder",  THEME."forum/folder.png");
set_image("foldernew",  THEME."forum/foldernew.png");
set_image("folderlock",  THEME."forum/folderlock.png");
set_image("stickythread",  THEME."forum/stickythread.png");
set_image("pollbar", THEME."images/all-bg.gif");
require_once INCLUDES."theme_functions_include.php";

function render_page($license = false) {
	
	global $settings, $main_style, $locale;

	//Header
	echo "<table cellpadding='0' cellspacing='0' width='1020' align='center'>\n<tr>\n";
	echo "<td class='full-header'>\n".showbanners()."</td>\n</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='1020' align='center'>\n<tr>\n";
	echo "<td class='nav-header-left'></td>\n";
	echo "<td class='nav-header'>".showsublinks(" ".THEME_BULLET2." ", "")."</td>\n";
	echo "<td align='right' class='nav-header'>".showsubdate()."</td>\n";
	echo "<td class='nav-header-right'></td>\n</tr>\n</table>\n";
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='1020' class='$main_style' align='center'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table class='main-footer' cellpadding='0' cellspacing='0' width='1020' align='center'>\n<tr>\n";
	echo "<td colspan='2' align='center' class='main-footer-text'>".stripslashes($settings['footer']);
	if (!$license) { echo "<br />\n".showcopyright(); }
	echo "</td>\n</tr>\n<tr>\n";
	echo "<td colspan='2' align='center' class='main-footer-text'>Theme by <a href='http://www.osthemes.org' target='_blank'>OSThemes.org</a></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='left' class='main-footer-timer'>".showrendertime()."</td>\n";
	echo "<td align='right' class='main-footer-counter'>".showcounter()."</td>\n";
	echo "</tr>\n</table>\n";

}

//News
function render_news($subject, $news, $info) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-news-left'></td>\n";
	echo "<td class='capmain-news'>".$subject."</td>\n";
	echo "<td class='capmain-news-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newscat($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr></table>\n";
}

//Articles
function render_article($subject, $article, $info) {
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";
}

//Opentable
function opentable($title) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";
}
function closetable() {
	echo "</td>\n";
	echo "</tr></table>\n";
}

//Openside
function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='scapmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {
	
	global $panel_collapse;
	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";
}
?>